Subject: Re: FVWM: solaris 9 and fvwm misbehavior

From: Dominik Vogt <[email-masked]>
Date: Mon, 3 Nov 2003 12:42:32 +0100

On Mon, Oct 20, 2003 at 09:33:44AM -0400, Steve Goldman wrote:
> [email-masked] said:
> > 
> > With fvwm 2.4.x I see the following strange behavior:
> > 
> >   1: fvwm pager eventually disappears. It core dumps with following
> >      traceback:
> > 
> >   [1] XTextWidth(0x780018, 0x37bf8, 0x6, 0x7efefeff, 0x81010100, 0xff00), at 0xff231e00 
> >   [2] DrawGrid(desk = 2, erase = 1), line 1510 in "x_pager.c"
> >   [3] list_new_desk(body = 0x7), line 944 in "FvwmPager.c"
> >   [4] process_message(packet = 0x36958), line 510 in "FvwmPager.c"
> >   [5] My_XNextEvent(dpy = (nil), event = 0xffbffb40), line 1366 in "FvwmPager.c"
> >   [6] Loop(fd = 0x36400), line 459 in "FvwmPager.c"
> >   [7] main(argc = 225280, argv = 0xa), line 436 in "FvwmPager.c"
> > 
> >   2: Usually once the pager disappears a window used for confirmation with exmh (the
> >      What Now? window) which is set for StaysOnTop suddenly decides that Top is Bottom
> >      and always send the window to the back.
> > 
> >   3: I finally noticed that windows never seem to disappear from the Window-List. By
> >      now I have a whole lot of windows in the window list! I've wondered if this might
> >      somehow be the cause of symptom #1.

What you describe suggests that at least two applications
(FvwmPager and fvwm itself) have gone crazy at the same time.
This is extremely unlikely to happen, since both programs are
fairly independent of each other.  Chances are good you
encountered a bug in the X server itself that surfaces under
obscure circumstances only.  Can you try a different version of
the X server?  (By the way, most of all the weird, ureproducible
problems people have are on Sun systems.  This may be a hint that
the X server isn't very stable).

Ciao

Dominik ^_^  ^_^
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].